# do not build debug packages for now
%global debug_package %{nil}

%global version 5.8.0
%global revision 27.4a6ca5f.5.8

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-27.4a6ca5f.5.8.tar.gz
Patch0:         replace_default_DBType.patch
Patch1:		set_downstream_images.patch
Patch2:		hide_install_uninstall_from_cli.patch
Patch3:		fix-win-log-formatting.patch
Patch4:		hide_bucket_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%package redistributable
Summary:        Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows

%description redistributable
The Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows
is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files

%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
go version
%ifarch ppc64le
GOOS=linux GOARCH=ppc64le CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch %{arm} aarch64
GOOS=linux GOARCH=arm64 CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch s390x
GOOS=linux GOARCH=s390x CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch x86_64
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
GOOS=darwin CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-darwin -ldflags="-s -w" -mod=vendor 
GOOS=windows CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-windows -ldflags="-s -w" -mod=vendor 
%endif
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
%ifarch x86_64
install -D -p -m 755 noobaa-operator %{buildroot}%{_datadir}/%{name}/linux/noobaa
install -D -p -m 755 noobaa-operator-darwin %{buildroot}%{_datadir}/%{name}/macosx/noobaa
install -D -p -m 755 noobaa-operator-windows %{buildroot}/%{_datadir}/%{name}/windows/noobaa.exe
%endif
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa
%doc doc/*
%{_mandir}/man1/*

%ifarch x86_64
%files redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/noobaa
%{_datadir}/%{name}/macosx/noobaa
%{_datadir}/%{name}/windows/noobaa.exe
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 20 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-27.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-27.4a6ca5f.5.8

* Thu Jul 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-26.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-26.4a6ca5f.5.8

* Wed Jul 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-25.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-25.4a6ca5f.5.8

* Tue Jul 13 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-24.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-24.4a6ca5f.5.8

* Mon Jul 12 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-23.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-23.4a6ca5f.5.8

* Thu Jul 08 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-22.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-22.4a6ca5f.5.8

* Tue Jul 06 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-19.4a6ca5f.5.8
- Rebase to mcg-operator-5.8.0-19.4a6ca5f.5.8

* Tue Jun 22 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.8.0-18.68ac94b.5.8
- Rebase to mcg-operator-5.8.0-18.68ac94b.5.8

* Wed Feb 24 2021 Liran Mauda <lmauda@redhat.com> - 5.8.0-5.8
- Initial build for 5.8.0

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.7.0-5.7
- Initial build for 5.7.0
- Building CLI for macosx, windows and linux

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-5.6
- Initial build for 5.6.0

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
